diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/tests/test_domain_constraints_msql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/tests/test_domain_constraints_msql.py
new file mode 100644
index 000000000..5daa2621e
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/tests/test_domain_constraints_msql.py
@@ -0,0 +1,114 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import json
+import uuid
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as domain_cons_utils
+from unittest.mock import patch
+
+
+class DomainConstraintMsqlTestCase(BaseTestGenerator):
+    """ This class will add new domain constraint under schema node. """
+
+    scenarios = utils.generate_scenarios('domain_constraints_get_msql',
+                                         domain_cons_utils.test_cases)
+
+    def setUp(self):
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        self.domain_name = "domain_%s" % (str(uuid.uuid4())[1:8])
+        self.domain_con_name = \
+            "test_domain_con_msql_%s" % (str(uuid.uuid4())[1:8])
+
+        self.domain_info = \
+            domain_cons_utils.create_domain(self.server,
+                                            self.db_name,
+                                            self.schema_name,
+                                            self.schema_id,
+                                            self.domain_name)
+
+        self.domain_constraint_id = \
+            domain_cons_utils.create_domain_constraints(self.server,
+                                                        self.db_name,
+                                                        self.schema_name,
+                                                        self.domain_name,
+                                                        self.domain_con_name)
+
+    def msql_domain_constraint(self):
+        """
+        This function returns the domain constraint msql response
+        :return: domain constraint msql response
+        """
+        return self.tester.get(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/' +
+            str(self.domain_id) + '/' +
+            str(self.domain_constraint_id),
+            follow_redirects=True)
+
+    def runTest(self):
+        """ This function will add domain constraint under test database. """
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database.")
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema.")
+
+        self.domain_id = self.domain_info[0]
+        domain_name = self.domain_info[1]
+
+        domain_response = domain_cons_utils.verify_domain(
+            self.server,
+            self.db_name,
+            self.schema_id,
+            domain_name)
+        if not domain_response:
+            raise Exception("Could not find the domain.")
+
+        domain_cons_response = domain_cons_utils.verify_domain_constraint(
+            self.server, self.db_name,
+            self.domain_con_name)
+        if not domain_cons_response:
+            raise Exception("Could not find domain constraint.")
+
+        if self.is_positive_test:
+            response = self.msql_domain_constraint()
+        else:
+            if hasattr(self, "error_in_db"):
+                return_value_object = eval(self.mock_data["return_value"])
+                with patch(self.mock_data["function_name"],
+                           side_effect=[return_value_object]):
+                    response = self.msql_domain_constraint()
+
+        actual_response_code = response.status_code
+        expected_response_code = self.expected_data['status_code']
+
+        self.assertEquals(actual_response_code, expected_response_code)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/tests/test_domain_constraints_node.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/tests/test_domain_constraints_node.py
new file mode 100644
index 000000000..c6462135d
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/tests/test_domain_constraints_node.py
@@ -0,0 +1,139 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import json
+import uuid
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as domain_cons_utils
+from unittest.mock import patch
+
+
+class DomainConstraintNodeAndNodesTestCase(BaseTestGenerator):
+    """ This class will add new domain constraint under schema node. """
+
+    scenarios = utils.generate_scenarios('domain_constraints_get_nodes',
+                                         domain_cons_utils.test_cases)
+
+    def setUp(self):
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        self.domain_name = "domain_%s" % (str(uuid.uuid4())[1:8])
+        self.domain_con_name = \
+            "test_domain_con_add_%s" % (str(uuid.uuid4())[1:8])
+
+        self.domain_info = \
+            domain_cons_utils.create_domain(self.server, self.db_name,
+                                            self.schema_name, self.schema_id,
+                                            self.domain_name)
+
+        self.domain_constraint_id = \
+            domain_cons_utils.create_domain_constraints(self.server,
+                                                        self.db_name,
+                                                        self.schema_name,
+                                                        self.domain_name,
+                                                        self.domain_con_name)
+        self.domain_con_name = \
+            "test_domain_con_node_%s" % (str(uuid.uuid4())[1:8])
+        self.domain_constraint_id_invalid = \
+            domain_cons_utils.create_domain_constraints_invalid(
+                self.server, self.db_name, self.schema_name,
+                self.domain_name, self.domain_con_name)
+
+    def get_domain_constraint_node(self, domain_con_id):
+        """
+        This function returns the domain constraint node response
+        :return: domain constraint node response
+        """
+        return self.tester.get(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/' +
+            str(self.domain_id) + '/' +
+            str(domain_con_id),
+            follow_redirects=True)
+
+    def runTest(self):
+        """ This function will add domain constraint under test database. """
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database.")
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema.")
+
+        self.domain_id = self.domain_info[0]
+        domain_name = self.domain_info[1]
+
+        domain_response = domain_cons_utils.verify_domain(
+            self.server,
+            self.db_name,
+            self.schema_id,
+            domain_name)
+        if not domain_response:
+            raise Exception("Could not find the domain.")
+
+        domain_cons_response = domain_cons_utils.verify_domain_constraint(
+            self.server, self.db_name,
+            self.domain_con_name)
+        if not domain_cons_response:
+            raise Exception("Could not find domain constraint.")
+
+        if self.is_positive_test and self.invalid:
+            if hasattr(self, "node"):
+
+                response = self.get_domain_constraint_node(
+                    self.domain_constraint_id_invalid)
+            else:
+                response = self.get_domain_constraint_node("")
+
+        elif self.is_positive_test:
+            if hasattr(self, "node"):
+                response = self.get_domain_constraint_node(
+                    self.domain_constraint_id)
+            else:
+                response = self.get_domain_constraint_node("")
+
+        else:
+            if hasattr(self, "error_fetching_domain_constraint"):
+                with patch(self.mock_data["function_name"],
+                           return_value=eval(self.mock_data["return_value"])):
+                    if hasattr(self, "node"):
+                        response = self.get_domain_constraint_node(
+                            self.domain_constraint_id)
+                    else:
+                        response = self.get_domain_constraint_node("")
+
+            if hasattr(self, "wrong_domain_constraint_id"):
+                self.domain_constraint_id = 99999
+                response = \
+                    self.get_domain_constraint_node(self.domain_constraint_id)
+
+        actual_response_code = response.status_code
+        expected_response_code = self.expected_data['status_code']
+
+        self.assertEquals(actual_response_code, expected_response_code)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/tests/test_domain_constraints_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/tests/test_domain_constraints_put.py
new file mode 100644
index 000000000..d5ff4891a
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/tests/test_domain_constraints_put.py
@@ -0,0 +1,116 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import json
+import uuid
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as domain_cons_utils
+from unittest.mock import patch
+
+
+class DomainConstraintPutTestCase(BaseTestGenerator):
+    """ This class will add new domain constraint under schema node. """
+
+    scenarios = utils.generate_scenarios('domain_constraints_update',
+                                         domain_cons_utils.test_cases)
+
+    def setUp(self):
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        self.domain_name = "domain_%s" % (str(uuid.uuid4())[1:8])
+        self.domain_con_name = \
+            "test_domain_con_upd_%s" % (str(uuid.uuid4())[1:8])
+
+        self.domain_info = \
+            domain_cons_utils.create_domain(
+                self.server,
+                self.db_name,
+                self.schema_name,
+                self.schema_id,
+                self.domain_name)
+
+        self.domain_constraint_id = \
+            domain_cons_utils.create_domain_constraints(
+                self.server,
+                self.db_name,
+                self.schema_name,
+                self.domain_name,
+                self.domain_con_name)
+
+    def update_domain_constraint(self):
+        """
+        This functions update domain constraint
+        :return: Domain Constraint update request details
+        """
+        return self.tester.put(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/' +
+            str(self.domain_id) + '/' +
+            str(self.domain_constraint_id),
+            data=json.dumps(self.test_data),
+            follow_redirects=True)
+
+    def runTest(self):
+        """ This function will update domain under schema node. """
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database.")
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema.")
+
+        self.domain_id = self.domain_info[0]
+        domain_name = self.domain_info[1]
+
+        domain_response = domain_cons_utils.verify_domain(
+            self.server,
+            self.db_name,
+            self.schema_id,
+            domain_name)
+        if not domain_response:
+            raise Exception("Could not find the domain.")
+
+        domain_cons_response = domain_cons_utils.verify_domain_constraint(
+            self.server, self.db_name,
+            self.domain_con_name)
+        if not domain_cons_response:
+            raise Exception("Could not find domain constraint.")
+
+        if self.is_positive_test:
+            response = self.update_domain_constraint()
+
+        else:
+            if hasattr(self, "error_in_db"):
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(self.mock_data["return_value"])):
+                    response = self.update_domain_constraint()
+
+        actual_response_code = response.status_code
+        expected_response_code = self.expected_data['status_code']
+        self.assertEquals(actual_response_code, expected_response_code)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/tests/test_domain_constraints_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/tests/test_domain_constraints_sql.py
new file mode 100644
index 000000000..d48ab04be
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/tests/test_domain_constraints_sql.py
@@ -0,0 +1,118 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import json
+import uuid
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as domain_cons_utils
+from unittest.mock import patch
+
+
+class DomainConstraintGetSqlTestCase(BaseTestGenerator):
+    """ This class will add new domain constraint under schema node. """
+
+    scenarios = utils.generate_scenarios('domain_constraints_get_sql',
+                                         domain_cons_utils.test_cases)
+
+    def setUp(self):
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        self.domain_name = "domain_%s" % (str(uuid.uuid4())[1:8])
+        self.domain_con_name = \
+            "test_domain_con_sql_%s" % (str(uuid.uuid4())[1:8])
+
+        self.domain_info = \
+            domain_cons_utils.create_domain(self.server,
+                                            self.db_name,
+                                            self.schema_name,
+                                            self.schema_id,
+                                            self.domain_name)
+
+        self.domain_constraint_id = \
+            domain_cons_utils.create_domain_constraints(self.server,
+                                                        self.db_name,
+                                                        self.schema_name,
+                                                        self.domain_name,
+                                                        self.domain_con_name)
+
+    def sql_domain_constraint(self):
+        """
+        This function returns the domain constraint sql response
+        :return: domain constraint sql response
+        """
+        return self.tester.get(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id) + '/' +
+            str(self.domain_id) + '/' +
+            str(self.domain_constraint_id),
+            follow_redirects=True)
+
+    def runTest(self):
+        """ This function will add domain constraint under test database. """
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database.")
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema.")
+
+        self.domain_id = self.domain_info[0]
+        domain_name = self.domain_info[1]
+
+        domain_response = domain_cons_utils.verify_domain(
+            self.server,
+            self.db_name,
+            self.schema_id,
+            domain_name)
+        if not domain_response:
+            raise Exception("Could not find the domain.")
+
+        domain_cons_response = domain_cons_utils.verify_domain_constraint(
+            self.server, self.db_name,
+            self.domain_con_name)
+        if not domain_cons_response:
+            raise Exception("Could not find domain constraint.")
+
+        if self.is_positive_test:
+            response = self.sql_domain_constraint()
+        else:
+            if hasattr(self, "internal_server_error"):
+                return_value_object = eval(self.mock_data["return_value"])
+                with patch(self.mock_data["function_name"],
+                           side_effect=[return_value_object]):
+                    response = self.sql_domain_constraint()
+
+            if hasattr(self, "wrong_domain_constraint_id"):
+                self.domain_constraint_id = 99999
+                response = self.sql_domain_constraint()
+
+        actual_response_code = response.status_code
+        expected_response_code = self.expected_data['status_code']
+
+        self.assertEquals(actual_response_code, expected_response_code)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/tests/utils.py
new file mode 100644
index 000000000..140fb9e74
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/tests/utils.py
@@ -0,0 +1,221 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+from __future__ import print_function
+
+import sys
+import traceback
+import os
+import json
+from regression.python_test_utils import test_utils as utils
+
+CURRENT_PATH = os.path.dirname(os.path.realpath(__file__))
+with open(CURRENT_PATH + "/domain_constraints_test_data.json") as data_file:
+    test_cases = json.load(data_file)
+
+
+def create_domain_constraints(server, db_name, schema_name,
+                              domain_name, domain_constraint_name,
+                              domain_sql=None):
+    """
+    This function is used to add the domain to existing schema
+    :param server: server details
+    :type server: dict
+    :param db_name: database name
+    :type db_name: str
+    :param schema_name: schema name
+    :type schema_name: str
+    :param schema_id: schema id
+    :type schema_id: int
+    :param domain_name: domain name
+    :type domain_name: str
+    :return: None
+    """
+    try:
+        connection = utils.get_db_connection(db_name,
+                                             server['username'],
+                                             server['db_password'],
+                                             server['host'],
+                                             server['port'],
+                                             server['sslmode'])
+        pg_cursor = connection.cursor()
+
+        if domain_sql is None:
+            query = 'ALTER DOMAIN ' + schema_name + '.' + domain_name + \
+                    ' ADD CONSTRAINT ' + domain_constraint_name + \
+                    ' CHECK (VALUE > 0)'
+
+        else:
+            query = 'ALTER DOMAIN ' + schema_name + '.' +\
+                    domain_name + ' ' + domain_sql
+
+        pg_cursor.execute(query)
+        connection.commit()
+        # Get 'oid' from newly created domain
+        pg_cursor.execute("SELECT oid FROM pg_constraint WHERE"
+                          " conname='%s'" %
+                          domain_constraint_name)
+        oid = pg_cursor.fetchone()
+        domain_con_id = ''
+        if oid:
+            domain_con_id = oid[0]
+        connection.close()
+        return domain_con_id
+    except Exception:
+        traceback.print_exc(file=sys.stderr)
+
+
+def verify_domain_constraint(server, db_name, domain_constraint_name):
+    """
+    This function verifies the domain constraint is present in the database
+    :param server: server details
+    :type server: dict
+    :param db_name: database name
+    :type db_name: str
+    :param domain_constraint_name: domain_constraint_name to be verified
+    :type domain_constraint_name: str
+    :return domain_con_id: domain constraint's details
+    :rtype event_trigger: tuple
+    """
+    try:
+        connection = utils.get_db_connection(db_name, server['username'],
+                                             server['db_password'],
+                                             server['host'], server['port'],
+                                             server['sslmode'])
+        pg_cursor = connection.cursor()
+        pg_cursor.execute("SELECT oid FROM pg_constraint WHERE"
+                          " conname='%s'" %
+                          domain_constraint_name)
+        domain_con_id = pg_cursor.fetchone()
+        connection.close()
+        return domain_con_id
+    except Exception:
+        traceback.print_exc(file=sys.stderr)
+
+
+def create_domain(server, db_name, schema_name,
+                  schema_id, domain_name, domain_sql=None):
+    """
+    This function is used to add the domain to existing schema
+    :param server: server details
+    :type server: dict
+    :param db_name: database name
+    :type db_name: str
+    :param schema_name: schema name
+    :type schema_name: str
+    :param schema_id: schema id
+    :type schema_id: int
+    :param domain_name: domain name
+    :type domain_name: str
+    :return: None
+    """
+    try:
+        connection = utils.get_db_connection(db_name,
+                                             server['username'],
+                                             server['db_password'],
+                                             server['host'],
+                                             server['port'])
+        pg_cursor = connection.cursor()
+
+        if domain_sql is None:
+            query = 'CREATE DOMAIN ' + schema_name + '.' + domain_name + \
+                    ' AS numeric(500,4) DEFAULT 1000'
+        else:
+            query = 'CREATE DOMAIN ' + schema_name + '.' +\
+                    domain_name + ' ' + domain_sql
+
+        pg_cursor.execute(query)
+        connection.commit()
+        # Get 'oid' from newly created domain
+        pg_cursor.execute("SELECT d.oid, d.typname FROM pg_type d WHERE"
+                          " d.typname='%s' AND d.typnamespace='%s'" %
+                          (domain_name, schema_id))
+        domains = pg_cursor.fetchone()
+        connection.close()
+        return domains
+    except Exception:
+        traceback.print_exc(file=sys.stderr)
+
+
+def verify_domain(server, db_name, schema_id, domain_name):
+    """
+    This function get the oid & name of the domain
+    :param server: server details
+    :type server: dict
+    :param db_name: db name
+    :type db_name: str
+    :param schema_id: schema id
+    :type schema_id: int
+    :param domain_name: domain name
+    :type domain_name: str
+    :return:
+    """
+    connection = utils.get_db_connection(db_name,
+                                         server['username'],
+                                         server['db_password'],
+                                         server['host'],
+                                         server['port'])
+    pg_cursor = connection.cursor()
+    pg_cursor.execute("SELECT d.oid, d.typname FROM pg_type d WHERE"
+                      " d.typname='%s' AND d.typnamespace='%s'" %
+                      (domain_name, schema_id))
+    domains = pg_cursor.fetchone()
+    connection.close()
+    return domains
+
+
+def create_domain_constraints_invalid(server, db_name, schema_name,
+                                      domain_name, domain_constraint_name,
+                                      domain_sql=None):
+    """
+    This function is used to add the domain to existing schema
+    :param server: server details
+    :type server: dict
+    :param db_name: database name
+    :type db_name: str
+    :param schema_name: schema name
+    :type schema_name: str
+    :param schema_id: schema id
+    :type schema_id: int
+    :param domain_name: domain name
+    :type domain_name: str
+    :return: None
+    """
+    try:
+        connection = utils.get_db_connection(db_name,
+                                             server['username'],
+                                             server['db_password'],
+                                             server['host'],
+                                             server['port'],
+                                             server['sslmode'])
+        pg_cursor = connection.cursor()
+
+        if domain_sql is None:
+            query = 'ALTER DOMAIN ' + schema_name + '.' + domain_name + \
+                    ' ADD CONSTRAINT ' + domain_constraint_name + \
+                    ' CHECK (VALUE > 0) NOT VALID'
+
+        else:
+            query = 'ALTER DOMAIN ' + schema_name + '.' + \
+                    domain_name + ' ' + domain_sql
+
+        pg_cursor.execute(query)
+        connection.commit()
+        # Get 'oid' from newly created domain
+        pg_cursor.execute("SELECT oid FROM pg_constraint WHERE"
+                          " conname='%s'" %
+                          domain_constraint_name)
+        oid = pg_cursor.fetchone()
+        domain_con_id = ''
+        if oid:
+            domain_con_id = oid[0]
+        connection.close()
+        return domain_con_id
+    except Exception:
+        traceback.print_exc(file=sys.stderr)
